{
    "compileOnSave": false,
    "compilerOptions": {
        "rootDir": ".",
        "sourceMap": true,
        "declaration": false,
        "moduleResolution": "node",
        "module": "esnext",
        "target": "es2015",
        "jsx": "preserve",
        "jsxImportSource": "vue",
        "emitDecoratorMetadata": true,
        "experimentalDecorators": true,
        "importHelpers": true,
        "esModuleInterop": false,
        "allowSyntheticDefaultImports": true,
        "strict": true,
        "resolveJsonModule": true,
        "allowJs": true,
        "skipLibCheck": true,
        "skipDefaultLibCheck": true,
        "types": ["vite/client"],
        "baseUrl": ".",
        "paths": {},
        "outDir": "./build/out-tsc",
        "lib": ["es2020", "dom"]
    },
    "include": ["src/**/*.js", "src/**/*.jsx", "src/**/*.ts", "src/**/*.vue"],
    "exclude": [
        "node_modules",
        "tmp",
        "src/**/*.spec.ts",
        "src/**/*.test.ts",
        "src/**/*.spec.vue",
        "src/**/*.test.vue"
    ]
}
